;*****************************************************************************
;  Read EDU RVS data to a sav file.
;  
;  v1.0 - 04/01/2008 - Jeff McIntire
;*****************************************************************************

PRO read_rvs

restore,'/home/jmcintire/VIIRS_Data/general.TEB.sav'

coef=dblarr(nbands_TEB,nham,maxdet,maxsubsets,3)

FOR ifile=0, 0 DO BEGIN

	openr,lun,'/home/jmcintire/VIIRS_Code/RC-5/temp.txt',/get_lun
	n_lines=File_Lines('/home/jmcintire/VIIRS_Code/RC-5/temp.txt')

	awa=''
	a0=strarr(n_lines)
	a1=intarr(n_lines)
	a2=intarr(n_lines)
	a3=intarr(n_lines)
	a4=fltarr(n_lines)
	a5=fltarr(n_lines)
	a6=fltarr(n_lines)

	FOR ix=0L, n_lines-1 DO BEGIN
		readf,lun,awa
		b1=strsplit(awa,' ',/Extract)
		a0(ix)=b1(0)
		a1(ix)=b1(1)
		a2(ix)=b1(2)
		a3(ix)=b1(3)
		a4(ix)=b1(4)
		a5(ix)=b1(5)
		a6(ix)=b1(6)
	ENDFOR

	close,lun,/file,/all
	free_lun,lun

	FOR ix=0L, n_lines-1 DO BEGIN
		IF a0[ix] EQ 'M12' THEN BEGIN
			IF a3[ix] EQ 1 THEN BEGIN
				coef[2,0,a2[ix]-1,0,0]=a4[ix]
				coef[2,0,a2[ix]-1,0,1]=a5[ix]
				coef[2,0,a2[ix]-1,0,2]=a6[ix]
			ENDIF
			IF a3[ix] EQ 2 THEN BEGIN
				coef[2,0,a2[ix]-1,1,0]=a4[ix]
				coef[2,0,a2[ix]-1,1,1]=a5[ix]
				coef[2,0,a2[ix]-1,1,2]=a6[ix]
			ENDIF
		ENDIF
		IF a0[ix] EQ 'M13' THEN BEGIN
			IF a3[ix] EQ 1 THEN BEGIN
				coef[3,0,a2[ix]-1,0,0]=a4[ix]
				coef[3,0,a2[ix]-1,0,1]=a5[ix]
				coef[3,0,a2[ix]-1,0,2]=a6[ix]
			ENDIF
			IF a3[ix] EQ 2 THEN BEGIN
				coef[3,0,a2[ix]-1,1,0]=a4[ix]
				coef[3,0,a2[ix]-1,1,1]=a5[ix]
				coef[3,0,a2[ix]-1,1,2]=a6[ix]
			ENDIF
		ENDIF
		IF a0[ix] EQ 'M14' THEN BEGIN
			IF a3[ix] EQ 1 THEN BEGIN
				coef[4,0,a2[ix]-1,0,0]=a4[ix]
				coef[4,0,a2[ix]-1,0,1]=a5[ix]
				coef[4,0,a2[ix]-1,0,2]=a6[ix]
			ENDIF
			IF a3[ix] EQ 2 THEN BEGIN
				coef[4,0,a2[ix]-1,1,0]=a4[ix]
				coef[4,0,a2[ix]-1,1,1]=a5[ix]
				coef[4,0,a2[ix]-1,1,2]=a6[ix]
			ENDIF
		ENDIF
		IF a0[ix] EQ 'M15' THEN BEGIN
			IF a3[ix] EQ 1 THEN BEGIN
				coef[5,0,a2[ix]-1,0,0]=a4[ix]
				coef[5,0,a2[ix]-1,0,1]=a5[ix]
				coef[5,0,a2[ix]-1,0,2]=a6[ix]
			ENDIF
			IF a3[ix] EQ 2 THEN BEGIN
				coef[5,0,a2[ix]-1,1,0]=a4[ix]
				coef[5,0,a2[ix]-1,1,1]=a5[ix]
				coef[5,0,a2[ix]-1,1,2]=a6[ix]
			ENDIF
		ENDIF
		IF a0[ix] EQ 'M16A' THEN BEGIN
			IF a3[ix] EQ 1 THEN BEGIN
				coef[6,0,a2[ix]-1,0,0]=a4[ix]
				coef[6,0,a2[ix]-1,0,1]=a5[ix]
				coef[6,0,a2[ix]-1,0,2]=a6[ix]
			ENDIF
			IF a3[ix] EQ 2 THEN BEGIN
				coef[6,0,a2[ix]-1,1,0]=a4[ix]
				coef[6,0,a2[ix]-1,1,1]=a5[ix]
				coef[6,0,a2[ix]-1,1,2]=a6[ix]
			ENDIF
		ENDIF
		IF a0[ix] EQ 'M16B' THEN BEGIN
			IF a3[ix] EQ 1 THEN BEGIN
				coef[7,0,a2[ix]-1,0,0]=a4[ix]
				coef[7,0,a2[ix]-1,0,1]=a5[ix]
				coef[7,0,a2[ix]-1,0,2]=a6[ix]
			ENDIF
			IF a3[ix] EQ 2 THEN BEGIN
				coef[7,0,a2[ix]-1,1,0]=a4[ix]
				coef[7,0,a2[ix]-1,1,1]=a5[ix]
				coef[7,0,a2[ix]-1,1,2]=a6[ix]
			ENDIF
		ENDIF
		IF a0[ix] EQ 'I4' THEN BEGIN
			IF a3[ix] EQ 1 THEN BEGIN
				coef[0,a1[ix]-1,a2[ix]-1,0,0]=a4[ix]
				coef[0,a1[ix]-1,a2[ix]-1,0,1]=a5[ix]
				coef[0,a1[ix]-1,a2[ix]-1,0,2]=a6[ix]
			ENDIF
			IF a3[ix] EQ 2 THEN BEGIN
				coef[0,a1[ix]-1,a2[ix]-1,1,0]=a4[ix]
				coef[0,a1[ix]-1,a2[ix]-1,1,1]=a5[ix]
				coef[0,a1[ix]-1,a2[ix]-1,1,2]=a6[ix]
			ENDIF
		ENDIF
		IF a0[ix] EQ 'I5' THEN BEGIN
			IF a3[ix] EQ 1 THEN BEGIN
				coef[1,a1[ix]-1,a2[ix]-1,0,0]=a4[ix]
				coef[1,a1[ix]-1,a2[ix]-1,0,1]=a5[ix]
				coef[1,a1[ix]-1,a2[ix]-1,0,2]=a6[ix]
			ENDIF
			IF a3[ix] EQ 2 THEN BEGIN
				coef[1,a1[ix]-1,a2[ix]-1,1,0]=a4[ix]
				coef[1,a1[ix]-1,a2[ix]-1,1,1]=a5[ix]
				coef[1,a1[ix]-1,a2[ix]-1,1,2]=a6[ix]
			ENDIF
		ENDIF
	ENDFOR
ENDFOR

print,coef[0,0,0,*,1]

save,/compress,coef,filename='/home/jmcintire/VIIRS_Code/RC-5/FU1_teb_final_coef.sav'

END
